postgresql-9.1 9.1.7-0ubuntu11.10 source package in Ubuntu

Changelog

postgresql-9.1 (9.1.7-0ubuntu11.10) oneiric-proposed; urgency=low

  * New upstream bug fix release: (LP: #1088393)
    - Fix multiple bugs associated with "CREATE INDEX CONCURRENTLY".
      Fix "CREATE INDEX CONCURRENTLY" to use in-place updates when
      changing the state of an index's pg_index row. This prevents race
      conditions that could cause concurrent sessions to miss updating
      the target index, thus resulting in corrupt concurrently-created
      indexes.
      Also, fix various other operations to ensure that they ignore
      invalid indexes resulting from a failed "CREATE INDEX CONCURRENTLY"
      command. The most important of these is "VACUUM", because an
      auto-vacuum could easily be launched on the table before corrective
      action can be taken to fix or remove the invalid index.
    - Fix buffer locking during WAL replay.
      The WAL replay code was insufficiently careful about locking
      buffers when replaying WAL records that affect more than one page.
      This could result in hot standby queries transiently seeing
      inconsistent states, resulting in wrong answers or unexpected
      failures.
    - See HISTORY/changelog.gz for the other bug fixes.
 -- Martin Pitt <email address hidden>   Mon, 10 Dec 2012 15:04:42 +0100

Upload details

Uploaded by:
Martin Pitt on 2012-12-10
Uploaded to:
Oneiric
Original maintainer:
Ubuntu Developers
Component:
main
Architectures:
any all
Section:
database
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size MD5 Checksum
postgresql-9.1_9.1.7.orig.tar.bz2 15.0 MiB eaf7b67493d59d1a60767ffdfbd65ce9
postgresql-9.1_9.1.7-0ubuntu11.10.debian.tar.gz 34.4 KiB d175bf5c939984f19ff0d7f29d62c7e1
postgresql-9.1_9.1.7-0ubuntu11.10.dsc 3.0 KiB 3a6adc452171409f3c2f77a8afff075e

View changes file

Binary packages built by this source

libecpg-compat3: No summary available for libecpg-compat3 in ubuntu oneiric.

No description available for libecpg-compat3 in ubuntu oneiric.

libecpg-dev: No summary available for libecpg-dev in ubuntu oneiric.

No description available for libecpg-dev in ubuntu oneiric.

libecpg6: No summary available for libecpg6 in ubuntu oneiric.

No description available for libecpg6 in ubuntu oneiric.

libpgtypes3: No summary available for libpgtypes3 in ubuntu oneiric.

No description available for libpgtypes3 in ubuntu oneiric.

libpq-dev: No summary available for libpq-dev in ubuntu oneiric.

No description available for libpq-dev in ubuntu oneiric.

libpq5: No summary available for libpq5 in ubuntu oneiric.

No description available for libpq5 in ubuntu oneiric.

postgresql-9.1: No summary available for postgresql-9.1 in ubuntu oneiric.

No description available for postgresql-9.1 in ubuntu oneiric.

postgresql-9.1-dbg: No summary available for postgresql-9.1-dbg in ubuntu oneiric.

No description available for postgresql-9.1-dbg in ubuntu oneiric.

postgresql-client-9.1: No summary available for postgresql-client-9.1 in ubuntu oneiric.

No description available for postgresql-client-9.1 in ubuntu oneiric.

postgresql-contrib-9.1: No summary available for postgresql-contrib-9.1 in ubuntu oneiric.

No description available for postgresql-contrib-9.1 in ubuntu oneiric.

postgresql-doc-9.1: No summary available for postgresql-doc-9.1 in ubuntu oneiric.

No description available for postgresql-doc-9.1 in ubuntu oneiric.

postgresql-plperl-9.1: No summary available for postgresql-plperl-9.1 in ubuntu oneiric.

No description available for postgresql-plperl-9.1 in ubuntu oneiric.

postgresql-plpython-9.1: No summary available for postgresql-plpython-9.1 in ubuntu oneiric.

No description available for postgresql-plpython-9.1 in ubuntu oneiric.

postgresql-pltcl-9.1: No summary available for postgresql-pltcl-9.1 in ubuntu oneiric.

No description available for postgresql-pltcl-9.1 in ubuntu oneiric.

postgresql-server-dev-9.1: No summary available for postgresql-server-dev-9.1 in ubuntu oneiric.

No description available for postgresql-server-dev-9.1 in ubuntu oneiric.